%define svn 697
#%define rel 1

%if %defined svn
%define release %mkrel 0.svn%svn.%rel
%else
%define release %mkrel %rel
%endif

Name: beryl-plugins
Version: 0.1.1
Release: %release
Summary: Various plugins for the beryl window manager/compositor
Group: System/X11
URL: http://www.beryl-project.org/
# NB Tarballs generated from http://svn.beryl-project.org/tags/release-%{version}/%{name}/
%if %defined svn
Source: %{name}-%{version}-%{svn}.tar.bz2
%else
Source: %{name}-%{version}.tar.bz2
%endif
Patch0: mandriva-setting.patch

License: GPL
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: X11-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: x11-proto-devel
BuildRequires: libsvg-cairo-devel
BuildRequires: libpng-devel
BuildRequires: libwnck-devel
BuildRequires: libgnome-window-settings-devel
BuildRequires: libxcomposite-devel
BuildRequires: libxdamage-devel
BuildRequires: intltool
BuildRequires: librsvg-devel
BuildRequires: beryl-core-devel

Requires: beryl-core

# compiz-quinnstorm-plugins was renamed to beryl-plugins
Provides: compiz-quinnstorm-plugins
Obsoletes: compiz-quinnstorm-plugins

%description
OpenGL composite manager plugins for Xgl and AIGLX.


%files
%defattr(-,root,root)
%{_libdir}/beryl/*
#%{_datadir}/dbus-1/services/beryl.service
%{_datadir}/beryl/*.settings
%{_datadir}/beryl/*.png
# FIXME: create i18n packages
#%{_datadir}/locale/*/LC_MESSAGES/beryl.mo

%prep
%setup -q -n %{name}
#%patch0 -p0 -b .top

%build
# This is a CVS snapshot, so we need to generate makefiles.
sh autogen.sh

%configure2_5x \
                --x-includes=%{_includedir}\
                --x-libraries=%{_libdir} \
                --enable-librsvg

# Fix for SVN not commiting update but valid settings files when dependencies change
# This causes settings to be regenerated but this itself can cause problems
# (both a weird RPM but but also general cross-compilation)
find \( -name "*.settings" -o -name settings \) -exec touch {} \;

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}


